package com.xhpc.activity.service;

import com.xhpc.activity.domain.XhpcActivityCashDomain;
import com.xhpc.activity.domain.XhpcActivityRecordDomain;

import java.util.List;
import java.util.Map;

public interface XhpcActivityCashService {

    List<XhpcActivityCashDomain> getPage(Map<String, Object> params);

    List<Map<String, Object>> getNameList(Map<String, Object> params);

    XhpcActivityCashDomain getDomainByPk(Integer activityId);

    boolean insertDomain(XhpcActivityCashDomain domain);

    boolean updateDomain(XhpcActivityCashDomain domain);

    boolean checkDomain(XhpcActivityCashDomain domain);

    boolean updateDomainStatus(XhpcActivityCashDomain domain);

    boolean deleteByPk(Integer activityId);

    List<Map<String, Object>> getUserList(Map<String, Object> params);

    // ---------- 红包领取 --------
    boolean insertReceiveDomain(XhpcActivityRecordDomain domain);

    List<Map<String, Object>> getReceivePage(Map<String, Object> params);

}
